phing-tasks-ext

# Class: VersionTask Source Location: /tasks/ext/VersionTask.php
### Class Overview
    ProjectComponent
       |
       --Task
          |
          --VersionTask
VersionTask #### Author(s): Mike Wittje <mw@mike.wittje.de> #### Version: $Id: VersionTask.php 559 2009-09-02 08:28:08Z mwittje $ $Rev $Revision: 559 $ $Date: 2009-09-02 10:28:08 +0200 (Wed, 02 Sep 2009) $ $Author: mwittje $ #### Copyright: � 2001,2002 THYRELL. All rights reserved | ### Constants RELEASETYPE_BUGFIX RELEASETYPE_MAJOR RELEASETYPE_MINOR | ### Methods main setFile setProperty setReleasetype
### Inherited Variables #### Class: Task Task::$description Task::$location Task::$target Task::$taskName Task::$taskType Task::$wrapper #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: Task Task::getDescription() Returns the textual description of the task Task::getLocation() Returns the location within the buildfile this task occurs. Used by BuildException to give detailed error messages. Task::getOwningTarget() Returns the owning target of this task. Task::getRegisterSlot() Returns a name Task::getRuntimeConfigurableWrapper() Returns the wrapper object for runtime configuration Task::getTaskName() Returns the name of task, used only for log messages Task::getTaskType() Returns the name of the task under which it was invoked, usually the XML tagname Task::init() Called by the parser to let the task initialize properly. Task::log() Provides a project level log event to the task. Task::main() Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice. Task::maybeConfigure() Configure this task if it hasn't been done already. Task::perform() Perfrom this task Task::setDescription() Sets a textual description of the task Task::setLocation() Sets the location within the buildfile this task occurs. Called by the parser to set location information. Task::setOwningTarget() Sets the owning target this task belongs to. Task::setRuntimeConfigurableWrapper() Sets the wrapper object this task should use for runtime configurable elements. Task::setTaskName() Sets the name of this task for log messages Task::setTaskType() Sets the type of the task. Usually this is the name of the XML tag #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 36] VersionTask Increments a three-part version number from a given file and writes it back to the file. Incrementing is based on given releasetype, which can be one of Major, Minor and Bugfix. Resulting version number is also published under supplied property. #### Tags:
author: | Mike Wittje <mw@mike.wittje.de>
version: | $Id: VersionTask.php 559 2009-09-02 08:28:08Z mwittje $ $Rev $Revision: 559 $ $Date: 2009-09-02 10:28:08 +0200 (Wed, 02 Sep 2009) $ $Author: mwittje $
copyright: | � 2001,2002 THYRELL. All rights reserved
[ Top ] ### Class Methods ### method main [line 95]
`void main( )`
Main-Method for the Task #### Tags:
throws: | BuildException
access: | public
Overrides Task::main() (Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.) [ Top ] ### method setFile [line 74]
`void setFile( PhingFile $file)`
Set Property for File containing versioninformation #### Tags:
access: | public
#### Parameters:
PhingFile | $file |
[ Top ] ### method setProperty [line 84]
`void setProperty( $property $property)`
Set #### Tags:
access: | public
#### Parameters:
$property | $property |
[ Top ] ### method setReleasetype [line 65]
`void setReleasetype( string $releasetype)`
Set Property for Releasetype (Minor, Major, Bugfix) #### Tags:
access: | public
#### Parameters:
string | $releasetype |
[ Top ] ### Class Constants #### RELEASETYPE_BUGFIX = 'BUGFIX' [line 59] [ Top ] #### RELEASETYPE_MAJOR = 'MAJOR' [line 57] [ Top ] #### RELEASETYPE_MINOR = 'MINOR' [line 58] [ Top ] Documentation generated on Mon, 19 Oct 2009 10:52:21 +0200 by phpDocumentor 1.4.3